Package org.springframework.jdbc.core.namedparam

# Class NamedParameterJdbcDaoSupport

java.lang.Object
org.springframework.dao.support.DaoSupport
org.springframework.jdbc.core.support.JdbcDaoSupport
org.springframework.jdbc.core.namedparam.NamedParameterJdbcDaoSupport

All Implemented Interfaces:
  `org.springframework.beans.factory.InitializingBean`

public class NamedParameterJdbcDaoSupport extends JdbcDaoSupport
Extension of JdbcDaoSupport that exposes a NamedParameterJdbcTemplate as well.

Since:
  2.0
Author:
  Thomas Risberg, Juergen Hoeller
See Also:
  - `NamedParameterJdbcTemplate`

## Field Summary

### Fields inherited from class org.springframework.dao.support.DaoSupport

`logger`

## Constructor Summary

Constructors
Constructor
Description
`NamedParameterJdbcDaoSupport()`

## Method Summary

Modifier and Type
Method
Description
`NamedParameterJdbcTemplate`
`getNamedParameterJdbcTemplate()`
Return a NamedParameterJdbcTemplate wrapping the configured JdbcTemplate.
`protected void`
`initTemplateConfig()`
Create a NamedParameterJdbcTemplate based on the configured JdbcTemplate.

### Methods inherited from class org.springframework.jdbc.core.support.JdbcDaoSupport

`checkDaoConfig, createJdbcTemplate, getConnection, getDataSource, getExceptionTranslator, getJdbcTemplate, releaseConnection, setDataSource, setJdbcTemplate`

### Methods inherited from class org.springframework.dao.support.DaoSupport

`afterPropertiesSet, initDao`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### NamedParameterJdbcDaoSupport

public NamedParameterJdbcDaoSupport()

## Method Details

### initTemplateConfig

protected void initTemplateConfig()
Create a NamedParameterJdbcTemplate based on the configured JdbcTemplate.

Overrides:
  `initTemplateConfig` in class `JdbcDaoSupport`
See Also:
  - `JdbcDaoSupport.getJdbcTemplate()`

### getNamedParameterJdbcTemplate

@Nullable public NamedParameterJdbcTemplate getNamedParameterJdbcTemplate()
Return a NamedParameterJdbcTemplate wrapping the configured JdbcTemplate.